# StashCraft (DE)

Adds the ability to optionally craft from your stash.  Also includes several other quality of life options.

## Details

You can enable the crafting panel to pull ingrediants from both your inventory and your stash with some configurations on when it can access the stash.

You can enable additional item information details (quantity, value, etc.) both in the detail panel and the crafting panels.

You can turn on the filter tabs now for your stash.  They work just like the inventory filter tabs.  If you keep a lot of items like me, this is helpful.

You can adjust the preservation value for your stash (default 0 - none).  It works just like preservation for packs.  Otherwise with the changes to how the stash works, items can actually sometimes perish faster in your stash then what you carry with you into the wild.

## Configurations

### Craft Panel
**Display Ingredient Quantities**:  Craft & ingredient panels show item quantities.

**Display Recipe Item Count**:  Recipes show how many items you already have.

### Item Details Panel
**Display Quantities**:  Display the total quantity (includes your stash if you can access it) in item names.

**Display Sell Price**:  Display the estimated sell price (and price per lb.).

**Display Durability**:  Display the durability for perishables.

**Display Perish Times**:  Convert perishable durability to game time.

**Perish Time Override**:  Display torch & lantern durability value instead of game time.

### Stash Crafting
**Craft from your stash**:  Allows you to use items from your stash to craft.

**Craft from the world host stash**:  If crafting from stashes is enabled, craft from the world hosts stash.

**Usable Outside of Towns**:  Enables the use of crafting from stashes outside of town.

### Additional Stash Options
**Stash Filters**:  Add inventory filters to the stash panel.  Setting applied whenever the stash panel is opened.

**Stash Preservation**:  Preservation for stash contents (works just like packs). Setting applied whenever the stash panel is opened and on area load.

**Stash Preservation from Packs**:  Preservation determined by highest of the stash and contained packs.

## Credits

This mod started off initially by using the scripts from crafting portion of Innlasyan3's "InnRentStash".

## Dependencies

_Definitive Edition_

_BepInEx_

_SideLoader_
